Skip to main content
GET
/
v1
/
memory
/
provenance
/
{agent_id}
/
{namespace}
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.memory.lucidGetMemoryProvenanceChain({
    agentId: "<id>",
    namespace: "<value>",
  });

  console.log(result);
}

run();
{
  "chain": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

agent_id
string
required

Agent passport identifier

namespace
string
required

Memory namespace

Response

200 - application/json

OK

chain
object[]